Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class ImplicitRuntimeJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
          org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.ImplicitRuntimeJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

public class ImplicitRuntimeJSFAppConfigProvider
extends AbstractJSFAppConfigProvider

ImplicitRuntimeJSFAppConfigProvider provides an application configuration model that contains implicit configuration objects provided by a JSF implementation at runtime.

Field Summary
`protected FacesConfigType` | `facesConfig` Cached `FacesConfigType` instance.

Fields inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`jsfAppConfigLocater`

Constructor Summary
`ImplicitRuntimeJSFAppConfigProvider()`

Method Summary
`protected ConverterType` | `createConverter(java.lang.String name)` Creates a `ConverterType` instance.
`protected ComponentType` | `createHTMLComponent(java.lang.String name)` Creates a `ComponentType` instance to represent a concrete HTML component.
`protected void` | `createModel()` Creates the application configuration model and assigns it to the facesConfig property.
`protected ComponentType` | `createUIComponent(java.lang.String name)` Creates a `ComponentType` instance to represent a standard UI component.
`protected ValidatorType` | `createValidator(java.lang.String name)` Creates a `ValidatorType` instance.
`boolean` | `equals(java.lang.Object otherObject)`
`FacesConfigType` | `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`int` | `hashCode()`
`void` | `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.AbstractJSFAppConfigProvider
`setJSFAppConfigLocater`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### facesConfig

    protected FacesConfigType facesConfig

  Cached `FacesConfigType` instance.

Constructor Detail

### ImplicitRuntimeJSFAppConfigProvider

    public ImplicitRuntimeJSFAppConfigProvider()

Method Detail

### getFacesConfigModel

    public FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `getFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### releaseFacesConfigModel

    public void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`
  Specified by:
    `releaseFacesConfigModel` in class `AbstractJSFAppConfigProvider`

### createModel

    protected void createModel()

  Creates the application configuration model and assigns it to the facesConfig property.

### createConverter

    protected ConverterType createConverter(java.lang.String name)

  Creates a `ConverterType` instance.

  Parameters:
    `name` - Base name of converter from which converter-id and converter-class are formed.
  Returns:
    `ConverterType` instance.

### createValidator

    protected ValidatorType createValidator(java.lang.String name)

  Creates a `ValidatorType` instance.

  Parameters:
    `name` - Base name of validator from which validator-id and validator-class are formed.
  Returns:
    `ValidatorType` instance.

### createUIComponent

    protected ComponentType createUIComponent(java.lang.String name)

  Creates a `ComponentType` instance to represent a standard UI component.

  Parameters:
    `name` - Base name of component from which component-type and component-class are formed.
  Returns:
    `ComponentType` instance.

### createHTMLComponent

    protected ComponentType createHTMLComponent(java.lang.String name)

  Creates a `ComponentType` instance to represent a concrete HTML component.

  Parameters:
    `name` - Base name of component from which component-type and component-class are formed.
  Returns:
    `ComponentType` instance.

### equals

    public boolean equals(java.lang.Object otherObject)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD